<?php
namespace Visarzo\Helper\Admin\Metabox;

class Metabox {


	/**
	 * Initialize the class
	 */
	function __construct() {
		// Register the post type
		add_filter( 'rwmb_meta_boxes', array( $this, 'visarzo_register_framework_post_meta_box' ) );
	}


	/**
	 * Register meta boxes
	 *
	 * Remember to change "your_prefix" to actual prefix in your project
	 *
	 * @return void
	 */
	function visarzo_register_framework_post_meta_box( $meta_boxes ) {

		global $wp_registered_sidebars;

		/**
		 * prefix of meta keys (optional)
		 * Use underscore (_) at the beginning to make keys hidden
		 * Alt.: You also can make prefix empty to disable it
		 */
		// Better has an underscore as last sign
		$prefix = 'visarzo_metabox';

		$sidebars = array();

		foreach ( $wp_registered_sidebars as $key => $value ) {
			$sidebars[ $key ] = $value['name'];
		}

		$opacities = array();
		for ( $o = 0.0, $n = 0; $o <= 1.0; $o += 0.1, $n++ ) {
			$opacities[ $n ] = $o;
		}
		$meta_boxes[] = array(
			'id'        => $prefix . '_post_advertisement',
			'title'     => esc_html__( 'External Images', 'cameron-core' ),
			'pages'     => array(
				'post',
			),
			'context'   => 'normal',
			'priority'  => 'high',
			'tab_style' => 'left',
			'fields'    => array(
				array(
					'name'             => esc_html__( 'Advertisement Image', 'cameron-core' ),
					'id'               => $prefix . '_content_image',
					'type'             => 'image_advanced',
					'max_file_uploads' => 1,
				),
			),
		);
		return $meta_boxes;
	}
}
