<?php
namespace Visarzo\Helper\Elementor;

use Elementor\Plugin;

class Element {

	public function __construct() {
		add_action( 'elementor/elements/categories_registered', array( $this, 'add_elementor_widget_categories' ) );
		add_action( 'elementor/widgets/register', array( $this, 'widgets_registered' ) );
	}
	public function widgets_registered() {
		Plugin::instance()->widgets_manager->register( new Widgets\Slider_Banner() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_About() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Feature() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_CTA() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Apply() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Funfact() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Training() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Why_Choose() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Testimonial() );
		Plugin::instance()->widgets_manager->register( new Widgets\Inquire_Contact() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Brand() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Service_Selector() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Immigration() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Offer() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Team() );
		Plugin::instance()->widgets_manager->register( new Widgets\Blog_Selector() );
		Plugin::instance()->widgets_manager->register( new Widgets\VisarzoBlog() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_FAQ() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Map() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_contact_Info() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Contact_Form() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Service_Icon() );
		Plugin::instance()->widgets_manager->register( new Widgets\Visarzo_Single_Image() );
		Plugin::instance()->widgets_manager->register( new Widgets\Download_Widget() );
		Plugin::instance()->widgets_manager->register( new Widgets\Sidebar_Contact() );
		Plugin::instance()->widgets_manager->register( new Widgets\Footer_Menu_Widget() );
		Plugin::instance()->widgets_manager->register( new Widgets\Footer_Newsletter() );
		Plugin::instance()->widgets_manager->register( new Widgets\Footer_Logo_Widget() );
		Plugin::instance()->widgets_manager->register( new Widgets\Sidebar_Recent_Post() );
		Plugin::instance()->widgets_manager->register( new Widgets\Sidebar_Support_Widget() );
		Plugin::instance()->widgets_manager->register( new Widgets\Categories_Widget() );
	}
	
	function add_elementor_widget_categories( $elements_manager ) {
		$elements_manager->add_category(
			'visarzo',
			array(
				'title' => __( 'Visarzo', 'visarzo-core' ),
				'icon'  => 'fa fa-plug',
			)
		);
	}
}
