<?php

namespace Visarzo\Helper\Elementor\Widgets;

use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;

class Footer_Logo_Widget extends Widget_Base {






	public function get_name() {
		return 'footer_logo';
	}

	public function get_title() {
		return esc_html__( 'Footer Logo', 'visarzo-core' );
	}

	public function get_icon() {
		return 'fa fa-object-ungroup';
	}

	public function get_categories() {
		return array( 'visarzo' );
	}

	protected function register_controls() {

		$this->start_controls_section(
			'general',
			array(
				'label' => esc_html__( 'General', 'visarzo-core' ),
			)
		);

		$this->add_control(
			'footer_logo_images',
			array(
				'label'   => esc_html__( 'Logo Images', 'visarzo-core' ),
				'type'    => Controls_Manager::MEDIA,
				'default' => array(
					'url' => Utils::get_placeholder_image_src(),
				),

			)
		);

		$this->add_control(
			'description',
			array(
				'label'       => esc_html__( 'Description', 'visarzo-core' ),
				'type'        => Controls_Manager::TEXTAREA,
				'placeholder' => esc_html__( 'Type your description here', 'visarzo-core' ),

			)
		);

		$this->add_control(
			'social_list',
			array(
				'label'       => esc_html__( 'Social List', 'visarzo-core' ),
				'type'        => Controls_Manager::TEXTAREA,
				'placeholder' => esc_html__( 'Type your description here', 'visarzo-core' ),

			)
		);

		$this->end_controls_section();
	}
	protected function render() {
		$settings    = $this->get_settings_for_display();
		$logo_images = ( $settings['footer_logo_images']['id'] != '' ) ? wp_get_attachment_image_url( $settings['footer_logo_images']['id'], 'full' ) : $settings['footer_logo_images']['url'];
		if ( ! empty( $logo_images ) ) {
			$this->add_render_attribute( 'footer_logo_images', 'src', $logo_images );
			$this->add_render_attribute( 'footer_logo_images', 'alt', \Elementor\Control_Media::get_image_alt( $settings['footer_logo_images'] ) );
			$this->add_render_attribute( 'footer_logo_images', 'title', \Elementor\Control_Media::get_image_title( $settings['footer_logo_images'] ) );
			$logo_images_html_footer = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, 'full', 'footer_logo_images' );
		}
		$description = $settings['description'];
		$social_list = $settings['social_list'];
		?> 
		
		<div class="main-footer bg-color-2">
			<div class="footer-top">
				<div class="footer-column">
					<div class="footer-widget logo-widget">
						<figure class="footer-logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo $logo_images_html_footer; ?></a></figure>
						<div class="text">
							<p><?php echo $description; ?></p>
						</div>
						
		<?php echo $social_list; ?>
						
					</div>
				</div>
			</div>
		</div>
		
		<?php
	}

	protected function content_templates() {
	}
}
