<?php
namespace Visarzo\Helper\Elementor\Widgets;

use Elementor\Utils;
use Elementor\Controls_Manager;
use Elementor\Widget_Base;
use Elementor\Plugin;
use \Elementor\Repeater;
use Visarzo\Helper\Elementor\Settings\Header;
use Elementor\Core\Schemes;
class Sidebar_Contact extends Widget_Base {




	public function get_name() {
		return 'sidebar_contact';
	}

	public function get_title() {
		return esc_html__( 'Sidebar Contact', 'visarzo-core' );
	}

	public function get_icon() {
		return 'fa fa-object-ungroup';
	}

	public function get_categories() {
		return array( 'visarzo' );
	}

	protected function register_controls() {

		$this->start_controls_section(
			'general',
			array(
				'label' => esc_html__( 'General', 'visarzo-core' ),
			)
		);

		$this->add_control(
			'title',
			array(
				'label'   => esc_html__( 'Title', 'visarzo-core' ),
				'type'    => Controls_Manager::TEXT,
				'default' => __( 'Free Online Assessment', 'visarzo-core' ),
			)
		);
		$this->add_control(
			'html_tag',
			array(
				'label'   => esc_html__( 'Html Tag', 'visarzo-core' ),
				'type'    => Controls_Manager::SELECT,
				'options' => array(
					'h1'   => esc_html__( 'H1', 'visarzo-core' ),
					'h2'   => esc_html__( 'H2', 'visarzo-core' ),
					'h3'   => esc_html__( 'H3', 'visarzo-core' ),
					'h4'   => esc_html__( 'H4', 'visarzo-core' ),
					'h5'   => esc_html__( 'H5', 'visarzo-core' ),
					'h6'   => esc_html__( 'H6', 'visarzo-core' ),
					'div'  => esc_html__( 'div', 'visarzo-core' ),
					'span' => esc_html__( 'span', 'visarzo-core' ),
					'p'    => esc_html__( 'p', 'visarzo-core' ),
				),
				'default' => 'h3',

			)
		);
		$this->add_control(
			'contact_shortcode',
			array(
				'label'   => esc_html__( 'Select Contact Form', 'visarzo-core' ),
				'type'    => Controls_Manager::SELECT,
				'options' => Header::getContactForm7Posts(),
			)
		);

		$this->end_controls_section();
		$this->start_controls_section(
			'text_style_section',
			array(
				'label' => __( 'Text Style', 'visarzo-core' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			)
		);
		$this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			array(
				'name'     => 'content_typography',
				'label'    => __( 'Typography', 'visarzo-core' ),
				'scheme'   => Schemes\Typography::TYPOGRAPHY_1,
				'selector' => '{{WRAPPER}} .sidebar_contact',
			)
		);
		$this->end_controls_section();
	}
	protected function render() {
		$settings          = $this->get_settings_for_display();
		$title             = $settings['title'];
		$contact_shortcode = $settings['contact_shortcode'];
		$html_tag          = $settings['html_tag'];
		?> 
		<div class="sidebar-widget sidebar-assessment">
			<div class="widget-title">
			<<?php echo $html_tag; ?> class="sidebar_contact"><?php echo $title; ?></<?php echo $html_tag; ?>>
				<div class="dotted-box">
					<span class="dotted"></span>
					<span class="dotted"></span>
					<span class="dotted"></span>
				</div>
			</div>
			<div class="widget-content">
		<?php

		static $v_veriable = 0;

		$settings = $this->get_settings();
		if ( ! empty( $settings['contact_shortcode'] ) ) {
			echo '<div class="elementor-shortcode yachercore-contact_shortcode-' . $v_veriable . '">';
			echo do_shortcode( '[contact-form-7 id="' . $settings['contact_shortcode'] . '"]' );
			echo '</div>';
		}

		if ( ! empty( $settings['contact_shortcode_redirect_page'] ) || ! empty( $settings['contact_shortcode_redirect_external'] ) ) {
			?>
					<script>
						var theform = document.querySelector('.visarzocore-contact_shortcode-<?php echo $v_veriable; ?>');
						theform.addEventListener('wpcontact_shortcodemailsent', function(event) {
							location = ' 
							<?php
							if ( ! empty( $settings['contact_shortcode_redirect_external'] ) ) {
								echo $settings['contact_shortcode_redirect_external'];
							} else {
								echo get_permalink( $settings['contact_shortcode_redirect_page'] );
							}
							?>
							';
						}, false);
					</script>

			<?php
			$v_veriable++;
		}

		?>

			</div>
		</div> 
		<?php
	}

	protected function content_templates() {
	}
}
