<?php
namespace Visarzo\Helper\Posttype;

class Coachings {



	/**
	 * Initialize the class
	 */
	function __construct() {
		// Register the post type
		add_action( 'init', array( $this, 'visarzo_coaching_post_type' ), 0 );
	}

	// Register Custom Post Type
	function visarzo_coaching_post_type() {

		global $visarzo_options;

		$slug_postype_coaching = '';
		if ( isset( $visarzo_options['visarzo_slug_postype_coaching'] ) && ! empty( $visarzo_options['visarzo_slug_postype_coaching'] ) ) {
			$slug_postype_coaching = $visarzo_options['visarzo_slug_postype_coaching'];
		} else {
			$slug_postype_coaching = 'coaching';
		}

		$labels = array(
			'name'                  => _x( 'Coachings', 'Post Type General Name', 'visarzo-core' ),
			'singular_name'         => _x( 'Coaching', 'Post Type Singular Name', 'visarzo-core' ),
			'menu_name'             => __( 'Coachings', 'visarzo-core' ),
			'name_admin_bar'        => __( 'Coaching', 'visarzo-core' ),
			'archives'              => __( 'Item Archives', 'visarzo-core' ),
			'parent_item_colon'     => __( 'Parent Item:', 'visarzo-core' ),
			'all_items'             => __( 'All coachings', 'visarzo-core' ),
			'add_new_item'          => __( 'Add New coaching', 'visarzo-core' ),
			'add_new'               => __( 'Add New coaching', 'visarzo-core' ),
			'new_item'              => __( 'New coaching Item', 'visarzo-core' ),
			'edit_item'             => __( 'Edit coaching Item', 'visarzo-core' ),
			'update_item'           => __( 'Update coaching Item', 'visarzo-core' ),
			'view_item'             => __( 'View coaching Item', 'visarzo-core' ),
			'search_items'          => __( 'Search Item', 'visarzo-core' ),
			'not_found'             => __( 'Not found', 'visarzo-core' ),
			'not_found_in_trash'    => __( 'Not found in Trash', 'visarzo-core' ),
			'featured_image'        => __( 'Featured Image', 'visarzo-core' ),
			'set_featured_image'    => __( 'Set featured image', 'visarzo-core' ),
			'remove_featured_image' => __( 'Remove featured image', 'visarzo-core' ),
			'use_featured_image'    => __( 'Use as featured image', 'visarzo-core' ),
			'insert_into_item'      => __( 'Insert into item', 'visarzo-core' ),
			'uploaded_to_this_item' => __( 'Uploaded to this item', 'visarzo-core' ),
			'items_list'            => __( 'Items list', 'visarzo-core' ),
			'items_list_navigation' => __( 'Items list navigation', 'visarzo-core' ),
			'filter_items_list'     => __( 'Filter items list', 'visarzo-core' ),
		);

		$args = array(
			'labels'             => $labels,
			'description'        => __( 'Description.', 'visarzo-core' ),
			'public'             => true,
			'publicly_queryable' => true,
			'taxonomies'         => array( 'taxonomy_coachings' ),
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'rewrite'            => array( 'slug' => $slug_postype_coaching ),
			'capability_type'    => 'post',
			'has_archive'        => true,
			'hierarchical'       => false,
			'menu_position'      => null,
			'supports'           => array( 'title', 'editor', 'thumbnail' ),
		);

		register_post_type( 'coachings', $args );
	}
}
