<?php
/**
 * Strip all the tags except allowed html tags
 *
 * The name is based on inline editing toolbar name
 *
 * @param  string $string
 * @return string
 */
function visarzo_kses_basic( $string = '' ) {
	return wp_kses( $string, visarzo_get_allowed_html_tags( 'basic' ) );
}

/**
 * Strip all the tags except allowed html tags
 *
 * The name is based on inline editing toolbar name
 *
 * @param  string $string
 * @return string
 */
function visarzo_kses_intermediate( $string = '' ) {
	return wp_kses( $string, visarzo_get_allowed_html_tags( 'intermediate' ) );
}

function visarzo_get_allowed_html_tags( $level = 'basic' ) {
	$allowed_html = array(
		'b'      => array(),
		'i'      => array(),
		'u'      => array(),
		'em'     => array(),
		'br'     => array(),
		'abbr'   => array(
			'title' => array(),
		),
		'span'   => array(
			'class' => array(),
		),
		'strong' => array(),
	);

	if ( $level === 'intermediate' ) {
		$allowed_html['a'] = array(
			'href'  => array(),
			'title' => array(),
			'class' => array(),
			'id'    => array(),
		);
	}

	return $allowed_html;
}


function to_bool( $bool ) {
	 return ( is_bool( $bool ) ? $bool : ( is_numeric( $bool ) ? ( (bool) intval( $bool ) ) : $bool !== 'false' ) );
}

if ( ! function_exists( 'visarzo_menu_setup_plugin' ) ) :
	function visarzo_menu_setup_plugin() {
		register_nav_menus(
			array(
				'visa-menu'     => esc_html__( 'Visa Menu', 'visarzo-core' ),
				'coaching-menu' => esc_html__( 'Training Menu', 'visarzo-core' ),
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'visarzo_menu_setup_plugin' );
