<?php
class SdsAskRating_Class {




	private $theme_name;
	private $rate_status = '0';

	public function __construct() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_rating_style' ) );

		$this->get_theme_name();

		$this->sds_rating_show_notice();

	}



	public function enqueue_rating_style() {
		wp_register_style( 'rating_css', plugin_dir_url( dirname( __FILE__ ) ) . 'rating/rating.css', false, time() );
		wp_enqueue_style( 'rating_css' );
	}

	private function sds_rating_show_notice() {

		$this->rate_status = get_option( 'visarzo_rate_status' );
		$show_notice       = false;

		if ( isset( $_POST['rate_val'] ) ) {
			$this->rate_status = $_POST['rate_val'];
		}
		if ( $this->rate_status == '2' ) {
			$show_notice = $this->update_rate_date();
		} elseif ( $this->rate_status == '1' ) {
			$show_notice = $this->update_rate_status();
		} else {
			$show_notice = $this->check_rate_date();
		}

		if ( $show_notice ) {
			add_action( 'admin_notices', array( $this, 'general_admin_notice' ) );
		}
	}

	private function update_rate_status() {
		$rate_opt = get_option( 'visarzo_rate_status' );
		if ( ! $rate_opt ) {
			add_option( 'visarzo_rate_status', $this->rate_status );
		} else {
			update_option( 'visarzo_rate_status', $this->rate_status );
		}
		return false;
	}

	private function update_rate_date() {
		$rate_date = get_option( 'visarzo_rate_date' );
		if ( ! $rate_date ) {
			$today_date = date( 'Y-m-d' );
			add_option( 'visarzo_rate_date', $today_date );
		} else {
			update_option( 'visarzo_rate_date', $today_date );
		}
		return false;
	}

	private function check_rate_date() {
		$rate_date = get_option( 'visarzo_rate_date' );
		if ( ! $rate_date ) {
			return true;
		}
		$now  = date( 'Y-m-d' );
		$diff = date_diff( date_create( $now ), date_create( $rate_date ) );
		if ( $diff->days > 7 ) {
			return true;
		} else {
			return false;
		}
	}

	public function general_admin_notice() {
		$img_url = plugin_dir_url( dirname( __FILE__ ) ) . 'rating/logo.png';
		?>
<div class="notice sds-rating-wrapper">
	<div class="sds-ask-rating-header">
		<div class="sds-ask-rating-logo">
			<img src="<?php echo esc_url( $img_url ); ?>">
		</div>
		<div class="sds-ask-rating-content">
		<?php echo sprintf( __( 'Thanks for using <strong>%1$s</strong>. Would you please take a moment and give <strong>%1$s</strong> a <strong>5 Star</strong> Rating on <strong>Themeforest</strong>?', 'visarzo-core' ), $this->theme_name ); ?>
			<br>
		<?php echo __( 'This little appriciation of yours inspire us to do even more for you in future.', 'visarzo-core' ); ?>
		</div>
	</div>
	<div class="sds-ask-rating-footer">
		<p>
			<a href="https://themeforest.net/item/visarzo-immigration-and-visa-consulting-wordpress-theme/28208710?s_rank=7"
				target="_blank" class="button button-primary rate_bt">
		<?php echo esc_html__( "Yes, I'd Love To", 'visarzo-core' ); ?>
			</a>
		</p>
		<form action="<?php echo esc_url( admin_url() ); ?>" method="POST" class="rating_form">
			<button class="button ask_later_bt button-secondary" name="rate_val" value="2"
				type="submit"><?php echo esc_html__( 'Ask me later!!!', 'visarzo-core' ); ?></button>
			<button class="button button-primary rate_bt" name="rate_val" value="1"
				type="submit"><?php echo esc_html__( 'I have already rated', 'visarzo-core' ); ?></button>
		</form>
		<p class="sale_notice">
			<a href="https://1.envato.market/JrJOk2"
			target="_blank" class="button button-primary rate_bt">
		<?php echo esc_html__( 'Buy LearnUp - Education WordPress Theme for Only 19$', 'visarzo-core' ); ?>
			</a> 
		</p> 


	</div>
</div>

		<?php
	}

	private function get_theme_name() {
		$this->theme_name = get_template();
		$this->theme_name = str_replace( '-', ' ', $this->theme_name );
		$this->theme_name = ucwords( $this->theme_name );
	}

}

new SdsAskRating_Class();
