<?php

/**

 * The header for our theme

 *

 * This is the template that displays all of the <head> section and everything up until <div id="content">

 *

 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials

 *

 * @package visarzo

 */

	$preloader_on_off = visarzo_get_options('preloader_on_off');

?>

<!doctype html>

<html <?php language_attributes(); ?>>

<head>

	<meta charset="<?php bloginfo( 'charset' ); ?>">

	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">

	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
    <style>
	.elementor-widget-container ul, .elementor-widget-container li { list-style: unset; }
	.elementor-widget-container ul { padding-left: 35px; }
	.elementor-widget-container ol { padding-left: 35px; }
	.elementor-widget-container h4{ margin-top: 20px; margin-bottom: 5px;}
	.elementor-widget-container p{ margin-top: 10px; margin-bottom: 10px;}
	.main-header.style-one .header-upper .menu-right-content .support-box{ display: none!important; }
	.main-header.style-one .header-upper .upper-left .btn-box{ display: none!important; }
	</style>

</head>



<body <?php body_class(); ?>>

	<?php wp_body_open(); ?>

	<?php

		do_action('visarzo_preloader_ready');

		do_action('visarzo_search_popup_ready');

		get_template_part('components/header/header');

		do_action('visarzo_mobile_menu_ready');

		do_action('visarzo_breadcrumb_ready');

	?>



