<?php
get_header();
$prefix                             = 'visarzo_theme_metabox';
$visarzo_service_post_id            = get_the_ID();
$visarzo_single_service_subtitle    = get_post_meta( $visarzo_service_post_id, "{$prefix}_sub_title", true );
$visarzo_single_service_content     = get_post_meta( $visarzo_service_post_id, "{$prefix}_content", true );
$visarzo_single_service_content_two = get_post_meta( $visarzo_service_post_id, "{$prefix}_content_two", true );

$visarzo_theme_metabox_single_service_image = get_post_meta( get_queried_object_id(), 'visarzo_theme_metabox_single_service_image', true );
$visarzo_service_images                     = wp_get_attachment_image_src( $visarzo_theme_metabox_single_service_image, 'full' );

$coaching_sidebar_position = visarzo_get_options( 'coaching_sidebar_position' );
if ( $coaching_sidebar_position == 'left' ) {
	$sidebar_position_left  = true;
	$sidebar_position_right = false;
} else {
	$sidebar_position_left  = false;
	$sidebar_position_right = true;
}
if ( ! is_active_sidebar( 'sidebar-2' ) || $coaching_sidebar_position == 'without_sidebar' ) {
	$col_class = 'col-lg-12';
} else {
	$col_class = 'col-lg-8';
}
$coaching_single_breadcrumb_content = visarzo_get_options( 'coaching_details_title' );
?>

<div class="sidebar-page-container">
	<div class="auto-container">
		<div class="row clearfix">
		<?php if ( is_active_sidebar( 'sidebar-3' ) && $sidebar_position_left && $coaching_sidebar_position != 'without_sidebar' ) { ?>
			<div class="col-lg-4 col-md-12 col-sm-12 sidebar-side">
				<div class="sidebar">
					<?php dynamic_sidebar( 'sidebar-3' ); ?>
				</div>
			</div>
		<?php } ?>
			<div class="<?php echo esc_attr( $col_class ); ?> col-md-12 col-sm-12 content-side">
				<div class="coaching-details-content">
					<div class="content-style-one">
						<?php if( $visarzo_service_images[0] != '') { ?>
						<figure class="image-box"><img src="<?php echo esc_url( $visarzo_service_images[0] ); ?>" alt="<?php esc_attr_e( 'feature image', 'visarzo' ); ?>"></figure>
						<?php } ?>
						<?php if ( ! empty( $coaching_single_breadcrumb_content ) ) { ?>
						<div class="group-title">
							<h2><?php the_title(); ?></h2>
							<div class="dotted-box">
								<span class="dotted"></span>
								<span class="dotted"></span>
								<span class="dotted"></span>
							</div>
						</div>
						<?php } ?>
						<div class="text">
							<h3><?php echo wp_kses( $visarzo_single_service_subtitle, 'code_contxt' ); ?></h3>
							<p><?php echo wp_kses( $visarzo_single_service_content, 'code_contxt' ); ?></p>
							<p><?php echo wp_kses( $visarzo_single_service_content_two, 'code_contxt' ); ?></p>
						</div>
					</div>
					<?php
					while ( have_posts() ) :
						the_post();
						the_content();
						endwhile; // End of the loop.
					?>
				</div>
			</div>
			<?php if ( is_active_sidebar( 'sidebar-3' ) && $sidebar_position_right && $coaching_sidebar_position != 'without_sidebar' ) { ?>
			<div class="col-lg-4 col-md-12 col-sm-12 sidebar-side">
				<div class="sidebar">
					<?php dynamic_sidebar( 'sidebar-3' ); ?>
				</div>
			</div>
			<?php } ?>
		</div>
	</div>
</div>
<?php
get_footer();
